#include<bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    long long n,m;
    cin >> n >> m;
    long long res = 0;
    res = (n + m - 2) * 2;
    n -= 2;
    m -= 2;
    res += ((n * m) / 2);

    cout << res << endl;

}